Package twisted :: Package protocols :: Module imap4 :: Class StreamReader

[show private | hide private]
[frames | no frames]

## Class StreamReader

       Codec --+
               |
    StreamReader --+
                   |
                  StreamReader

Method Summary
| ``__init__`(self, stream, errors)` Creates a StreamReader instance. (inherited from `StreamReader`)
| ``__getattr__`(self, name, getattr)` Inherit all other methods from the underlying stream. (inherited from `StreamReader`)
| `decode(self, s, errors)`
| ``encode`(self, input, errors)` Encodes the object input and returns a tuple (output object, length consumed). (inherited from `Codec`)
| ``read`(self, size)` Decodes data from the stream self.stream and returns the resulting object. (inherited from `StreamReader`)
| ``readline`(self, size)` Read one line from the input stream and return the decoded data. (inherited from `StreamReader`)
| ``readlines`(self, sizehint)` Read all lines available on the input stream and return them as list of lines. (inherited from `StreamReader`)
| ``reset`(self)` Resets the codec buffers used for keeping state. (inherited from `StreamReader`)

Generated by Epydoc 1.1 on Thu May 8 13:18:48 2003 | http://epydoc.sf.net